Bug 1731528 (calcium-calculator) - Review Request: calcium-calculator - The Calcium Calculator
Summary: Review Request: calcium-calculator - The Calcium Calculator
Keywords:
Status: CLOSED ERRATA
Alias: calcium-calculator
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Elliott Sales de Andrade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: Trivial
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2019-07-19 16:26 UTC by Ankur Sinha (FranciscoD)
Modified: 2019-07-30 01:45 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-07-30 01:14:25 UTC
quantum.analyst: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Fedora Pagure neuro-sig/NeuroFedora issue 202 None None None 2019-07-19 16:27:28 UTC

Description Ankur Sinha (FranciscoD) 2019-07-19 16:26:56 UTC
Spec URL: https://ankursinha.fedorapeople.org/calcium-calculator/calcium-calculator.spec

SRPM URL: https://ankursinha.fedorapeople.org/calcium-calculator/calcium-calculator-7.9.5-1.fc30.src.rpm

Description: 
CalC ("Calcium Calculator") is a free (GNU copyleft) modeling tool for
simulating intracellular calcium diffusion and buffering. CalC solves
continuous reaction-diffusion PDEs describing the entry of calcium into a
volume through point-like channels, and its diffusion, buffering and binding to
calcium receptors.


Fedora Account System Username: ankursinha

Comment 1 Elliott Sales de Andrade 2019-07-20 08:25:36 UTC
Please ask upstream to provide the license in a file.
Patches should have a comment describing whether they're sent upstream, etc.
I prefer %{buildroot} over $RPM_BUILD_ROOT.

These are non-blocking, so approved.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: If your application is a C or C++ application you must list a
     BuildRequires against gcc, gcc-c++ or clang.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v3 or later)", "Unknown or generated". 37 files have
     unknown license. Detailed output of licensecheck in
     1731528-calcium-calculator/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[?]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 204800 bytes in 36 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[!]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: calcium-calculator-7.9.5-1.fc31.x86_64.rpm
          calcium-calculator-debuginfo-7.9.5-1.fc31.x86_64.rpm
          calcium-calculator-debugsource-7.9.5-1.fc31.x86_64.rpm
          calcium-calculator-7.9.5-1.fc31.src.rpm
calcium-calculator.x86_64: W: spelling-error %description -l en_US CalC -> Cal C, Cal, Cali
calcium-calculator.x86_64: W: spelling-error %description -l en_US intracellular -> unicellular
calcium-calculator.x86_64: W: no-manual-page-for-binary calc
calcium-calculator.src: W: spelling-error %description -l en_US CalC -> Cal C, Cal, Cali
calcium-calculator.src: W: spelling-error %description -l en_US intracellular -> unicellular
4 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (debuginfo)
-------------------
Checking: calcium-calculator-debuginfo-7.9.5-1.fc31.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
calcium-calculator.x86_64: W: spelling-error %description -l en_US CalC -> Cal C, Cal, Cali
calcium-calculator.x86_64: W: spelling-error %description -l en_US intracellular -> unicellular
calcium-calculator.x86_64: W: invalid-url URL: https://web.njit.edu/~matveev/calc.html <urlopen error [Errno -2] Name or service not known>
calcium-calculator.x86_64: W: no-manual-page-for-binary calc
calcium-calculator-debuginfo.x86_64: W: invalid-url URL: https://web.njit.edu/~matveev/calc.html <urlopen error [Errno -2] Name or service not known>
calcium-calculator-debugsource.x86_64: W: invalid-url URL: https://web.njit.edu/~matveev/calc.html <urlopen error [Errno -2] Name or service not known>
3 packages and 0 specfiles checked; 0 errors, 6 warnings.



Source checksums
----------------
https://web.njit.edu/~matveev/calc/versions/calc_unix_7.9.5.tgz :
  CHECKSUM(SHA256) this package     : 61cd6b66ea6cf8650f7a645ee694ec245aef018061a15f2285f2d1ec12825df3
  CHECKSUM(SHA256) upstream package : 61cd6b66ea6cf8650f7a645ee694ec245aef018061a15f2285f2d1ec12825df3


Requires
--------
calcium-calculator (rpmlib, GLIBC filtered):
    libc.so.6()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libm.so.6()(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    libstdc++.so.6(CXXABI_1.3.8)(64bit)
    libstdc++.so.6(CXXABI_1.3.9)(64bit)
    rtld(GNU_HASH)

calcium-calculator-debuginfo (rpmlib, GLIBC filtered):

calcium-calculator-debugsource (rpmlib, GLIBC filtered):



Provides
--------
calcium-calculator:
    calcium-calculator
    calcium-calculator(x86-64)

calcium-calculator-debuginfo:
    calcium-calculator-debuginfo
    calcium-calculator-debuginfo(x86-64)
    debuginfo(build-id)

calcium-calculator-debugsource:
    calcium-calculator-debugsource
    calcium-calculator-debugsource(x86-64)



Generated by fedora-review 0.7.2 (65d36bb) last change: 2019-04-09
Command line :/usr/bin/fedora-review -b 1731528 -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: C/C++, Generic, Shell-api
Disabled plugins: Python, PHP, Java, Perl, Haskell, R, SugarActivity, fonts, Ocaml
Disabled flags: EPEL6, EPEL7, DISTTAG, BATCH, EXARCH

Comment 2 Ankur Sinha (FranciscoD) 2019-07-20 20:28:29 UTC
Thanks for the review! :)

I'll e-mail upstream with patches and asking them to include a copy of the license too. SCM requested now.

Comment 3 Igor Gnatenko 2019-07-20 21:17:24 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/calcium-calculator

Comment 4 Fedora Update System 2019-07-21 08:36:24 UTC
FEDORA-2019-1656e97d1d has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1656e97d1d

Comment 5 Fedora Update System 2019-07-21 08:36:24 UTC
FEDORA-2019-1cc3b28f97 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-1cc3b28f97

Comment 6 Fedora Update System 2019-07-22 01:10:21 UTC
calcium-calculator-7.9.5-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1656e97d1d

Comment 7 Fedora Update System 2019-07-22 08:09:45 UTC
calcium-calculator-7.9.5-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-1cc3b28f97

Comment 8 Fedora Update System 2019-07-30 01:14:25 UTC
calcium-calculator-7.9.5-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2019-07-30 01:45:17 UTC
calcium-calculator-7.9.5-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.